<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>rdb: Download Data from the Referendum Database (RDB), Which Covers Direct Democratic Votes Worldwide — rdb-package • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="rdb: Download Data from the Referendum Database (RDB), Which Covers Direct Democratic Votes Worldwide — rdb-package"><meta name="description" content="rdb provides access to the Referendum Database (RDB) from R. This database aims to record all direct democratic votes worldwide and is operated by the Centre for Democracy Studies Aarau (ZDA) at the University of Zurich, Switzerland."><meta property="og:description" content="rdb provides access to the Referendum Database (RDB) from R. This database aims to record all direct democratic votes worldwide and is operated by the Centre for Democracy Studies Aarau (ZDA) at the University of Zurich, Switzerland."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>rdb: Download Data from the Referendum Database (RDB), Which Covers Direct Democratic Votes Worldwide</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb-package.R" class="external-link"><code>R/rdb-package.R</code></a></small>
      <div class="d-none name"><code>rdb-package.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>rdb provides access to the Referendum Database (RDB) from R. This database aims to record all direct democratic votes worldwide and is operated by the Centre for Democracy Studies Aarau (ZDA) at the University of Zurich, Switzerland.</p>
    </div>


    <div class="section level2">
    <h2 id="package-configuration">Package configuration<a class="anchor" aria-label="anchor" href="#package-configuration"></a></h2>



<p>Some of rdb's functionality is controlled via package-specific global configuration which can either be set via <a href="https://rdrr.io/r/base/options.html" class="external-link">R options</a> or <a href="https://en.wikipedia.org/wiki/Environment_variable" class="external-link">environment variables</a> (the former take precedence). This configuration includes:</p><table class="table table"><tr><td><strong>Description</strong></td><td><strong>R option</strong></td><td><strong>Environment variable</strong></td><td><strong>Default value</strong></td></tr><tr><td>RDB Services API username</td><td><code>rdb.api_username</code></td><td><code>R_RDB_API_USERNAME</code></td><td></td></tr><tr><td>RDB Services API password</td><td><code>rdb.api_password</code></td><td><code>R_RDB_API_PASSWORD</code></td><td></td></tr><tr><td>Maximal timespan to preserve the package's <a href="https://pkgpins.rpkg.dev/" class="external-link">pkgpins</a> cache. Cache entries older than this will be deleted upon package loading.</td><td><code>rdb.global_max_cache_age</code></td><td><code>R_RDB_GLOBAL_MAX_CACHE_AGE</code></td><td><code>"30 days"</code></td></tr><tr><td>Whether or not to use the testing servers instead of the production servers for RDB Services API calls etc.</td><td><code>rdb.use_testing_server</code></td><td><code>R_RDB_USE_TESTING_SERVER</code></td><td><code>FALSE</code></td></tr><tr><td>Whether or not to run the tests that use the testing servers for RDB Services API calls etc. during <code><a href="https://devtools.r-lib.org/reference/test.html" class="external-link">devtools::test()</a></code>.</td><td><code>rdb.test_testing_server</code></td><td><code>R_RDB_TEST_TESTING_SERVER</code></td><td><code>FALSE</code></td></tr></table></div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Useful links:</p><ul><li><p><a href="https://rdb.rpkg.dev">https://rdb.rpkg.dev</a></p></li>
<li><p><a href="https://gitlab.com/zdaarau/rpkgs/rdb" class="external-link">https://gitlab.com/zdaarau/rpkgs/rdb</a></p></li>
<li><p>Report bugs at <a href="https://gitlab.com/zdaarau/rpkgs/rdb/issues" class="external-link">https://gitlab.com/zdaarau/rpkgs/rdb/issues</a></p></li>
</ul></div>
    </div>
    <div class="section level2">
    <h2 id="author">Author<a class="anchor" aria-label="anchor" href="#author"></a></h2>
    <p><strong>Maintainer</strong>: Salim Brüggemann <a href="mailto:salim-b@pm.me">salim-b@pm.me</a> (<a href="https://orcid.org/0000-0002-5329-5987" class="external-link">ORCID</a>)</p>
<p>Authors:</p><ul><li><p>Uwe Serdült <a href="mailto:uwe.serduelt@zda.uzh.ch">uwe.serduelt@zda.uzh.ch</a> (<a href="https://orcid.org/0000-0002-2383-3158" class="external-link">ORCID</a>)</p></li>
</ul><p>Other contributors:</p><ul><li><p>Centre for Democracy Studies Aarau (ZDA) <a href="mailto:info@zdaarau.ch">info@zdaarau.ch</a> [copyright holder]</p></li>
</ul></div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

